Bug 1173695 - RFE: allow passing in a pre-opened libvirt connection from python
Summary: RFE: allow passing in a pre-opened libvirt connection from python
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: libguestfs   
(Show other bugs)
Version: 7.1
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: rc
: ---
Assignee: Richard W.M. Jones
QA Contact: Virtualization Bugs
Jiri Herrmann
URL:
Whiteboard:
Keywords: FutureFeature
Depends On: 1075143 1173697 1175795 1218766
Blocks: 1305606 1313485 1138203 1288337 1301891
TreeView+ depends on / blocked
 
Reported: 2014-12-12 17:05 UTC by Giuseppe Scrivano
Modified: 2016-11-03 17:48 UTC (History)
27 users (show)

Fixed In Version: libguestfs-1.32.0-2.el7
Doc Type: Release Note
Doc Text:
Accessing guest disks on *virt-manager* works properly with SELinux and _libguestfs-python_ Prior to this update, when the _libguestfs-python_ package was installed and SELinux was enabled on the host machine, accessing guest disks using the *virt-manager* interface caused I/O failures. Now, *virt-manager* and the _libguestfs_ library share the same _libvirt_ connection, which prevents the described failures from occurring.
Story Points: ---
Clone Of: 1138203
Environment:
Last Closed: 2016-11-03 17:48:01 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:2576 normal SHIPPED_LIVE Moderate: libguestfs and virt-p2v security, bug fix, and enhancement update 2016-11-03 12:06:51 UTC

Comment 3 Richard W.M. Jones 2015-09-23 14:29:21 UTC
We're going to rebase to libguestfs 1.32 (bug 1218766), and
that version includes this fix.

Comment 6 Xianghua Chen 2016-08-03 10:03:36 UTC
Verified with packages:
libguestfs-1.33.46-1.el7.x86_64

Verify steps:
1. Prepare a RHEL guest image and start it:
# virsh start rhel6.8
# virsh list --all
 Id    Name                           State
----------------------------------------------------
 2     rhel6.8                        running

2. Login into the guest:
# virsh console 2
Try to  write to the disk:
# while sleep 1; do echo a > ~/output; done

3. On host, run following command:
# guestfish --ro -i rhel6.8.qcow2 
Welcome to guestfish, the guest filesystem shell for
editing virtual machine filesystems and disk images.

Type: 'help' for help on commands
      'man' to read the manual
      'quit' to quit the shell

Operating system: Red Hat Enterprise Linux Server release 6.8 (Santiago)
/dev/vg_dhcp8136/lv_root mounted on /
/dev/sda1 mounted on /boot

><fs> ls /

....

4. Check the command running status in guest in step 2, there is no error like:
# while sleep 1; do echo a > ~/output; done
 kernel:journal commit I/O error
bash: /root/output: Read-only file system
...

So verified.

Comment 8 errata-xmlrpc 2016-11-03 17:48:01 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2016-2576.html


Note You need to log in before you can comment on or make changes to this bug.